<?php
// $Id: aggregator.admin.inc,v 1.1 2008/07/17 21:21:39 aronnovak Exp $

/**
 * @file
 *   Administrative form for aggregator.
 */

/**
 * Provides a content-type tab form.
 * Processors and parsers should do form_alter() to provide their settings here
 */
function aggregator_settings_form($form_state) {
  $type = arg(3);
  $form = array();
  $parsers = module_implements('aggregator_parse');
  foreach ($parsers as $k => $v) {
    $info = module_invoke($v, 'aggregator_parse', 'info');
    unset($parsers[$k]);
    $parsers[$v] = $info['title'];
  }
  $processors = module_implements('aggregator_process');
  foreach ($processors as $k => $v) {
    $info = module_invoke($v, 'aggregator_process', 'info');
    unset($processors[$k]);
    $processors[$v] = $info['title'];
  }
  $form['type'] = array('#type' => 'value', '#value' => $type);  // For other modules' form_alter().
  $form['aggregator_feed_' . $type] = array(
    '#type' => 'checkbox',
    '#title' => t('Is a feed content type'),
    '#description' => t('Check if you would like to use this content type for downloading feeds to your site.'),
    '#default_value' => variable_get('aggregator_feed_' . $type, FALSE),
    '#weight' => -15,
  );
  // @todo How to assign description for each radio button?
  $form['aggregator_parser_' . $type] = array(
    '#type' => 'radios',
    '#title' => t('Parser'),
    '#description' => t('Parsers are responsible for retrieving and parsing feed data.'),
    '#options' => $parsers,
    '#default_value' => variable_get('aggregator_parser_' . $type, array_pop($parsers)),
  );
  // @todo: How to assign description for each checkbox?
  $form['aggregator_processor_' . $type] = array(
    '#type' => 'checkboxes',
    '#title' => t('Processors'),
    '#description' => t('Processors act on parsed feed data. Pick the processors suitable for your task.'),
    '#options' => $processors,
    '#default_value' => variable_get('aggregator_processor_' . $type, array_slice($processors, 0, 1)),
  );
  $form['processor'] = array(
    '#type' => 'fieldset',
    '#title' => t('Advanced configuration of processors'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['parser'] = array(
    '#type' => 'fieldset',
    '#title' => t('Advanced configuration of parsers'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Save configuration'),
  );
  return $form;
}

/**
 * Stores the values in the {variable} table.
 */
function aggregator_settings_form_submit($form, &$form_state) {
  system_settings_form_submit($form, $form_state);
}
